<!DOCTYPE html>
<html>
<head>
  <link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='resifsi.css') }}">
	<title>Documentation</title>
	<meta charset="utf-8">
</head>

<body>
 	<div class="main">

 	 <img src="{{ url_for('static',filename='image/logoresif.png') }}">

    <h1> Assembleddata webservice</h1>
  	<div> 
  	<p class="intro">&nbsp;&nbsp;The assembleddata webservice provides access to the  pre-assembled RAP and RESIF events archives. It allows to retrieve waveforms in SAC and ASCII formats.</p>
	   
    	<h3>Output format</h3>
    	<p class="intro">
    	    &nbsp;&nbsp;Three formats are supported: 
    	    <ol>
    	      <li><b><tt>archive</tt></b> format: The events satisfying the request are returned in zip format. The zip file contains  SAC and ASCII waveforms.</li>
    	      <li><b><tt>text</tt></b> format: return the events inventory  as follows :
    	       <tt>collector| event_name | latitude | longitude | depth | magnitude | magtype |description| agency | pga  </tt></li>
    	      <li><b><tt>json </tt></b>format: return inventory  as above, but in json format  </li>
    	    </ol>
    	</p>
    	
    <h3> Overview of request parameters </h3>
      <p class="intro">
           The request parameters for the service are summarized in tables below. Events can be retrieved either by specifying the name of the event or by applying a filter:</p>

	      <p class="intro">To obtain a particular event, you must specify its name</br> </p>
			   <table class="table2" >
			    	<thead>
			    		<tr>
			              <th>Parameter</th>
			              <th>Description</th>
			              <th>Default</th>
			              <th>Required</th>
			              <th>Format</th>
            			</tr>
			    	</thead>
			    	<tbody>
			    		<tr>
			    			<td>name</td>
			    			<td>Event name</td>
			    			<td>  </td>
			    			<td>YES</td>
			    			<td> </td>
			    		</tr>
			    		<tr>
			    			<td>format</td>
			    			<td>Response output format</td>
			    			<td>text</td>
			    			<td>NON</td>
			    			<td>text/json/archive</td>
			    		</tr>
			    	</tbody>
			    </table>
            </br>
			 </br>

				<p class="intro">Several archives can be retrieved depending on the filters applied for a maximum one month. </p>

			    <table class="table2">
			    	<thead>
			    		<tr>
			    		<tr>
			              <th>Parameter</th>
			              <th>Description</th>
			              <th>Default</th>
			              <th>Required</th>
			              <th>Format</th>
            			</tr>
			    		</tr>
			    	</thead>
			    	<tbody>
			    		<tr>
			    			<td>collector</td>
			    			<td>Event collector</td>
			    			<td>RAP and RESIF</td>
			    			<td>NO</td>
			    			<td>RAP/RESIF</td>
			    		</tr>
			    		<tr>
			    			<td>after</td>
			    			<td>The minimum date</td>
			    			<td>NO</td>
			    			<td>YES</td>
			    			<td> ''YYYY-MM-DDTHH:MM:SS.ssssss'', 
			    				''YYYY-­MM-DDTHH:MM:SS'',
			    			   ''YYYY­‐MM-­DD ''</td>
			    		</tr>
			    		<tr>
			    			<td>before</td>
			    			<td>The maximum date </td>
			    			<td>NO</td>
			    			<td>YES</td>
			    			<td> ''YYYY-MM-DDTHH:MM:SS.ssssss'', 
			    				 ''YYYY-­MM-DDTHH:MM:SS'',
			    			     ''YYYY­‐MM-­DD ''</td>
			    		</tr>
			    	    <tr>
			    			<td>minlatitude</td>
			    			<td>Events with latitude larger or equal to the specified limit</td>
			    			<td>NO</td>
			    			<td>NO</td>
			    			<td>[-90,90]</td>
			    		</tr>
			    	    <tr>
			    			<td>maxlatitude</td>
			    			<td>Events with latitude smaller or equal to the  specified limit</td>
			    			<td>NO</td>
			    			<td>NO</td>
			    			<td>[-90,90]</td>
			    		</tr>
			    		<tr>
			    			<td>minlongitude</td>
			    			<td>Events with longitude larger or equal to the specified limit</td>
			    			<td>NO</td>
			    			<td>NO</td>
			    			<td>[-180,180]</td>
			    		</tr>
			    		<tr>
			    			<td>maxlongitude</td>
			    			<td>events with longitude smaller or equal to the specified limit</td>
			    			<td>NO</td>
			    			<td>NO</td>
			    			<td>[-180,180]</td>
			    		</tr>
			    		<tr>
			    			<td>minmagnitude</td>
			    			<td>Events with magnitude larger or equal to the specified limit</td>
			    			<td>NO</td>
			    			<td>NO</td>
			    			<td> </td>
			    		</tr>
			    		<tr>
			    			<td>maxmagnitude</td>
			    			<td>events with magnitude smaller or equal to the specified limit</td>
			    			<td>NO</td>
			    			<td>NO</td>
			    			<td> </td>
			    		</tr>
			    	    <tr>
			    			<td>mindepth</td>
			    			<td>Events with depth larger or equal to the specified limit</td>
			    			<td>NO</td>
			    			<td>NO</td>
			    			<td>   </td>
			    		</tr>
			    		<tr>
			    			<td>maxdepth</td>
			    			<td>events with depth smaller or equal to the specified limit</td>
			    			<td>NO</td>
			    			<td>NO</td>
			    			<td>  </td>
			    		</tr>
			    		<tr>
			    			<td>agency</td>
			    			<td>The organization that located the event</td>
			    			<td>NO</td>
			    			<td>NO</td>
			    			<td>NO </td>
			    		</tr>
			    		<tr>
			    			<td>format</td>
			    			<td>output format</td>
			    			<td>text</td>
			    			<td>NO</td>
			    			<td>text/json/archive</td>
			    		</tr>
			    	</tbody>
			    </table>
			</br>
    
    <h3> HTTP status codes</h3>

    <p class="intro">Table below givesa list of status codes returned by the webservice. These codes should be used by end-user to check if a request  was successful.</p>
        <table class="table2">
            <thead>
              <tr>
                <th>Code</th>
                <th>Description</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>200</td>
                <td>Successfull request</td>
              </tr>
              <tr>
                <td>201</td>
                <td>Request was properly formatted and submitted but no data match the selection.</td>
              </tr>
              <tr>
                <td>400</td>
                <td>Bad request due to improper specification, unrecognized parameter, etc.</td>
              </tr>
              <tr>
                <td>203</td>
                <td>Request resulted in too much data being returned or the request itself is too large.</td>
              </tr>
              <tr>
                <td>500</td>
                <td>Internal Server Error</td>
              </tr>
            </tbody>
          </table>    
        </br>
     	<h3> Examples</h3>
     		<ul>
     			<li>Events inventory for one month, juanuary 2018, depth  -15</li>
     			<a href="http://ws.resif.fr/resifsi/assembleddata/1/query?before=2018-01-31&after=2018-01-01&mindepth=-15">http://ws.resif.fr/resifsi/assembleddata/1/query?before=2018-01-31&after=2018-01-01&mindepth=-15</a>
     			
     			<li> Retrieve all the RAP events archive for March 2016</li>
     				<a href="http://ws.resif.fr/resifsi/assembleddata/1/query?before=2016-03-31&after=2016-03-01&collector=RAP&format=archive">http://ws.resif.fr/resifsi/assembleddata/1/query?before=2016-03-31&after=2016-03-01&collector=RAP&format=archive</a>
     			<li>Retrieve a given archive:</li>
     			    <a href="http://ws.resif.fr/resifsi/assembleddata/1/query?name=2017.10.24T20:47:11&format=archive">http://ws.resif.fr/resifsi/assembleddata/1/query?name=2017.10.24T20:47:11&format=archive</a>
     			<li> You can use <b>wget</b> or <b>curl</b> from commande line </li>
     				<ul>
     				<li><b>wget</b>  --output-document=Montest.zip 'http://ws.resif.fr/extend/assembleddata/1/query?name=2017.10.24T20:47:11&format=archive'</br></li>
     				<li><b>curl</b>'http://ws.resif.fr/resifsi/assembleddata/1/query?name=2017.10.24T20:47:11&format=archive' -o  Montest.zip</li>
     			</ul>
     			</li>
     		</ul>
        </br>
        </div>

</body>
</html>